#include <stdio.h>
#include <errno.h>
#include "libsys.h"

char __stat(void)
{
  char r;
  __chkin(15);
  r=__chrin()-'0';
  r=(((r<<2)+r)<<1)+__chrin()-'0';
  while(__chrin()!=0xd) ;
  __clrchn();
  if(r>=20) errno=r;
  return r;
}
